Page MenuHomePhabricator

Replace.py does not open articles with "?" in browser
Closed, ResolvedPublic

Description

Originally from: http://sourceforge.net/p/pywikipediabot/bugs/1434/
Reported by: binbot
Created on: 2012-04-10 14:10:47
Subject: Replace.py does not open articles with "?" in browser
Original description:
If the name of the article ends with a "?" and you press b for browser in replace.py, it tries to open an article without "?" at the end of the title.
Reproduce with http://hu.wikipedia.org/wiki/Ki\_vagy,\_Doki%3F \(replace.py a b -lang:hu -page:"Ki vagy, Doki?"\)

Pywikipedia trunk/pywikipedia/ \(r10103, 2012/04/10, 07:18:22\)
Python 2.7.2 \(default, Jun 12 2011, 14:24:46\) \[MSC v.1500 64 bit \(AMD64\)\]
config-settings:
use\_api = True
use\_api\_login = True
unicode test: ok


Version: unspecified
Severity: normal
See Also:
https://sourceforge.net/p/pywikipediabot/bugs/1434

Details

Reference
bz55202

Revisions and Commits

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:26 AM
bzimport set Reference to bz55202.
bzimport added a subscriber: Unknown Object (????).
Legoktm created this task.Oct 5 2013, 4:43 AM
jayvdb triaged this task as Medium priority.Jun 9 2015, 5:58 AM
jayvdb set Security to None.

It's working fine in 'core'.
If 'compat' ceases to be maintained, this can be closed.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2015, 3:56 PM
jayvdb assigned this task to XZise.Sep 10 2015, 9:14 PM
jayvdb moved this task from Backlog to To be backported from core on the Pywikibot-compat board.

Fixed in 622c01fc